#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

register_check_parameters(
    subgroup_networking,
    'vpn_tunnel',
    _('VPN Tunnel'),
    Dictionary(
        elements=[
            ('tunnels',
             ListOf(
                 Tuple(
                     title=('VPN Tunnel Endpoints'),
                     elements=[
                         IPv4Address(
                             title=_('Peer IP-Address'),
                             help=_('The configured value must match a tunnel reported by the monitored '
                                    'device.'),
                             allow_empty=False,
                         ),
                         TextUnicode(
                             title=_('Tunnel Alias'),
                             help=_('You can configure an individual alias here for the tunnel matching '
                                    'the IP-Address or Name configured in the field above.'),
                         ),
                         MonitoringState(
                             default_value=2,
                             title=_('State if tunnel is not found'),
                         ),
                         MonitoringState(
                             default_value=2,
                             title=_('State if tunnel has no active IPSec SA'),
                         ),
                     ]),
                 add_label=_('Add tunnel'),
                 movable=False,
                 title=_('VPN tunnel specific configuration'),
             )),
            ('state',
             MonitoringState(
                 title=_('Default state to report when tunnel can not be found anymore'),
                 help=_('Default state if a tunnel, which is not listed above in this rule, '
                        'can no longer be found.'),
                 default_value=3,
             ),
             ),
            ('missing_ipsec_sa_state',
             MonitoringState(
                 title=_('Default state to report when tunnel has no active IPSec SA'),
                 help=_('Default state if a tunnel, which is not listed above in this rule, '
                        'has no active IPSec SA.'),
                 default_value=1,
             ),
             ),
        ],
    ),
    TextAscii(title=_('IP-Address of Tunnel Endpoint')),
    match_type='dict',
)
